# Course : ELK stack

## List of softwares
  * ELK Stack
    * [Elasticsearch](https://www.elastic.co/products/elasticsearch)
    * [Logstash](https://www.elastic.co/products/logstash)
    * [Kibana](https://www.elastic.co/products/kibana)
    * [Beat](https://www.elastic.co/products/beats)
  * [Fluentd](https://www.fluentd.org/)
  * [Prometheus](https://prometheus.io/)
  * [Grafana](https://grafana.com/)

## Course Outline
* Basic concepts
* Setup ELK stack
  * Elasticsearch
  * Kibana
  * Explore cluster
    * [Cluster with Docker](https://github.com/up1/course_elk/tree/master/workshop/09-cluster/docker)
  * Cluster/Node/Index/Document/Field
  * Compare with RDBMS
* CRUD operation with Elasticsearch
  * Create/Index a document
  * Read/query data 
  * Update data
  * Delete data 
* Loading data into Elasticsearch
  * Bulk loading data
* Query data
  * Simple query
  * Term-level query
  * Advance query
* Analysis/Analyzer and Tokenizer of data/fields
* Analyzing your data
  * Basic of aggregation
  * Filtering aggregation
  * Histogram
  * Percentile
* Monitoring
* Tuning performance
* Production configuration guideline
  * [Elasticsearch configuration](https://www.elastic.co/guide/en/elasticsearch/reference/current/important-settings.html)
  * [System configuration](https://www.elastic.co/guide/en/elasticsearch/reference/current/system-config.html)
* Machine Learning with ELK stack
  
  
## Kibana
* Overview
* Setup and configuration
* Create visualization
* Create dashboard

## Logstash, Beat and Fluentd
* Logstash
* Beat
* Fluentd

## EFK stack
* Elasticsearch
* Fluentd
* Kibana

## Metric with Prometheous and Grafana
* Collect metric data with [Prometheus](https://prometheus.io/)
* Visualize data from Prometheous with [Grafana](https://grafana.com/)

## List of past workshops
* [Note from CNX 2020/11/29](https://github.com/up1/note-elk-20201129)

## References
* [First version of slide and workshop](https://github.com/up1/elasticsearch_workshop)
